#!/usr/bin/env python2
# -*- coding: utf-8 -*-

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function

from datetime import datetime
from setuptools import setup
import imp
import os


def read(fname):
    """Utility function to read the README file."""
    return open(os.path.join(os.path.dirname(__file__), fname)).read()


def _now():
    """Returns a string with exact time in UTC"""
    jetzt = datetime.utcnow()
    jetztstr = jetzt.strftime("%Y%m%d")
    return jetztstr

admeteopy = imp.load_source('admetopy', './src/admeteopy.py')

setup(name='admeteopy',
      license='GNU GENERAL PUBLIC LICENSE Version 3',
      version=admeteopy.__version__,
      description='Meteorological functions and constants',
      long_description="""Some useful meteorological functions and constants mainly for
dry and moist atmospheric thermodynamics and hydrostatics and
relateted stuff.  Radiation and dynamics is in developement.""",
      author='Dietmar Thaler',
      author_email='info@foehnwall.at',
      platforms='linux',
      url='http://www.foehnwall.at/admeteopy.html',
      package_dir={'': 'src'},
      py_modules=['admeteopy'],
      )
